[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# DbgS

Provides strings values with details about classes used in shell controls for the debugger.

## Declaration

Source position: shellctrls.pas line 430

`function DbgS(`
`OT: TObjectTypes`
`):string; overload; function DbgS(`
`CS: TMaskCaseSensitivity`
`):string; overload;`

## Arguments

`OT` |  | TObjectTypes examined in the routine.

## Function result

Formatted values for the debugger.

## Arguments

`CS` |  | TMaskCaseSensitivity examined in the routine.

## Description

DbgS is an overloaded String function used to get a string value with details about classes used in shell controls. The value is intended for use in the debugger. The overloaded variants provide support for the TObjectTypes and TMaskCaseSensitivity class types.

For TObjectTypes, a string is built to represents the set type using the format:

    [otFolders,otNonFolders,otHidden]

For TMaskCaseSensitivity, a string version of the enumeration value is used as the return value. For example:

    'mcsPlatformDefault'
      'mcsCaseInsensitive'
      'mcsCaseSensitive'

## See also

TObjectTypes |  | Set type with values that indicate the visible objects in a Shell control.
TMaskCaseSensitivity |  | Represents case sensitivity options for file masks.